Bug 123991 - All keys act like CTRL-ALT-+/- under X!
All keys act like CTRL-ALT-+/- under X!
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-22 11:28 EDT by John
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-22 10:26:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (2.83 KB, text/plain)
2004-05-22 11:29 EDT, John
no flags Details
Xorg.0.log (42.88 KB, text/plain)
2004-05-22 11:30 EDT, John
no flags Details

  None (edit)
Description John 2004-05-22 11:28:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
This is truly nutty.  I just upgraded from FC1->FC2 on a
Tyan S2460 dual Athlon 1600MP system, and since then I've
been suffering a weird keyboard problem.  (This workstation
has been upgraded from RH8->RH9->FC1->FC2, IIRC.)
 
The keyboard works fine at the console, but typing most keys
under X (gdm or logged into GNOME using startx) has the same
effect as CTRL-ALT-+/-!  (It's + or -...  I can't remember
which.  Modifiers (CTRL, ALT, shift, etc.) don't do this.
All other keys (characters, fcns, space, etc.) do.
 
As you can imagine, this makes X pretty much unusable. :)
 
My keyboard is a standard US seven-year-old AT keyboard (w/ the
Windows keys) attached to the PS/2 port via a AT->PS/2 adapter.
The trackball is native PS/2.  There aren't any USB devices.
 
Using evtest, the keyboard /dev/input/event1 device (or whatever
number it was) seems to report the correct key events.  (Is it
possible to make the x.org server listen to the /dev/input
events?)
 
Another goofy thing:  When I first booted under FC2, kudzu
reported the keyboard as a new device, and asked if I wanted to
configure it.
 
Does anyone have any advice as to how to get my keyboard working? 
 
Thanks!!!
John


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. startx
2. type
3.
    

Actual Results:  CTRL-ALT-+/-

Expected Results:  a character

Additional info:
Comment 1 John 2004-05-22 11:29:42 EDT
Created attachment 100455 [details]
xorg.conf
Comment 2 John 2004-05-22 11:30:19 EDT
Created attachment 100456 [details]
Xorg.0.log
Comment 3 John 2004-05-22 13:03:26 EDT
some numeric keypad keys work 


Comment 4 John 2004-05-22 21:01:35 EDT
For the time being, I've placed
Option "XkbDisable" under the Keyboard InputDevice
section in the xorg.conf file.  This works around
the problem.

I've tried putting a PS/2->USB adapter inline to
see if the PS/2 connector was the problem.  However,
the problem persisted, even after getting rid of
legacy input device support in BIOS.  So, it does
seem like XKB got screwed up somehow in the upgrade.

I'm glad I don't have to type by "left-highlighting,"
"middle-pasting" any more.  That was getting old. :)

Let me know if there are any files I should attach to
help track this down...  I'm not familiar w/ the
internals of XKB.

John

Comment 5 Alan Cox 2004-06-18 21:10:49 EDT
The keyboard found is ok , the rest is truely unique 8(
Comment 6 Kristian Høgsberg 2004-09-14 22:17:53 EDT
Is this still happening?  Have you tried upgrading to one of the X.org
6.7.99 snapshots?
Comment 7 C.J. Collier 2004-09-16 19:00:13 EDT
I've repro'd this.  My i686 build of Xorg, which installs 
to /workplace/garnome-cjc, is here:

http://moonunit.colliertech.org/~cjcollier/xc_build.tgz

You *should* be able to do the following:

tar xfvz xc_build.tgz
cd xc_build
sudo mkdir -m 777 /workplace
make install
sudo chown root /workplace/garnome-cjc/bin/Xorg 
export PATH=/workplace/garnome-cjc/bin:$PATH
sudo echo "/workplace/garnome-cjc/lib" >> /etc/ld.so.conf
sudo ldconfig
xorgconfig
# Fill out the xorg config fields...
sudo cp xorg.conf /etc/X11

Then you should just be able to run 'startx' to experience the 
funkyness yourself.

Someone please mirror this file.  It's 100M, and I share a T1.
Comment 8 C.J. Collier 2004-09-16 20:39:50 EDT
I've repro'd this.  My i686 build of Xorg, which installs 
to /workplace/garnome-cjc, is here:

http://moonunit.colliertech.org/~cjcollier/xc_build.tgz

You *should* be able to do the following:

tar xfvz xc_build.tgz
cd xc_build
sudo mkdir -m 777 /workplace
make install
sudo chown root /workplace/garnome-cjc/bin/Xorg 
export PATH=/workplace/garnome-cjc/bin:$PATH
sudo echo "/workplace/garnome-cjc/lib" >> /etc/ld.so.conf
sudo ldconfig
xorgconfig
# Fill out the xorg config fields...
sudo cp xorg.conf /etc/X11

Then you should just be able to run 'startx' to experience the 
funkyness yourself.

Someone please mirror this file.  It's 100M, and I share a T1.
Comment 9 C.J. Collier 2004-09-16 20:40:49 EDT
That'll teach me to hit reload.
Comment 10 Mike A. Harris 2004-12-22 10:26:34 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Comment 11 John 2004-12-23 17:15:25 EST
I think it's appropriate to close this, although I've never tried to
reproduce this after upgrading to FC3.

When I get the chance to reboot this workstation, I'll remove
XkbDisable from xorg.conf, and see if the problem reoccurs.

Note You need to log in before you can comment on or make changes to this bug.